﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using ArtOfTest.WebAii;
using ArtOfTest.WebAii.Controls;
using ArtOfTest.WebAii.Controls.HtmlControls;
using ArtOfTest.WebAii.Controls.HtmlControls.HtmlAsserts;
using ArtOfTest.WebAii.Core;
using ArtOfTest.WebAii.ObjectModel;
using NUnit.Framework;
using Telerik.TestingFramework.Controls.KendoUI;


namespace VNextTelerik
{
    [TestFixture]
    public class Class1
    {
        public Manager myManager;

        [SetUp]
        public void TestFixtureSetUp()
        {

            // Initialize the settings
            Settings mySettings = new Settings();

            // Set the default browser
            mySettings.Web.DefaultBrowser = BrowserType.FireFox;

            // Create the manager object
            myManager = new Manager(mySettings);

            // Start the manager
            myManager.Start();

           

        }


        [Test]
        public void Kendo()
        {

            myManager.LaunchNewBrowser();

            myManager.ActiveBrowser.NavigateTo("http://demos.kendoui.com/web/numerictextbox/events.html");

            System.Threading.Thread.Sleep(5000);

            myManager.ActiveBrowser.RefreshDomTree();

            KendoInput textBox = myManager.ActiveBrowser.Find.ByExpression<KendoInput>("id='numerictextbox'");

            textBox.TypeText("50");
        }

        [TearDown]
        public void TearDown()
        {
            // Shut-down the manager and do all clean-up
            myManager.Dispose();
        }

    }
}
